Debian Bug report logs - #693159
FTBFS against libav 9

version graph

Package: gpac; Maintainer for gpac is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for gpac is src:gpac.

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Tue, 13 Nov 2012 19:24:01 UTC

Severity: important

Tags: upstream

Fixed in version 0.5.0+svn4288~dfsg1-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3601143&group_id=84101&atid=571738

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, siretart@tauware.de, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#693159; Package gpac. (Tue, 13 Nov 2012 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to siretart@tauware.de, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 13 Nov 2012 19:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS against libav 9
Date: Tue, 13 Nov 2012 20:22:27 +0100
Package: gpac
Severity: important

Hi,

gpac 0.5.0 FTBFS against libav 9, which can be currently found in
experimental:

gcc -O2  -Wall -fPIC -DPIC -I/usr/include/mozjs -DXP_UNIX -Wall -fno-strict-aliasing -Wno-pointer-sign -fPIC -DPIC -fvisibility="hidden" -DGPAC_HAVE_CONFIG_H -I"/build/buildd/gpac-0.5.0~dfsg0" -Wno-deprecated-declarations -I"/build/buildd/gpac-0.5.0~dfsg0/include" -I/usr/include -g -c -o ffmpeg_decode.o ffmpeg_decode.c 
gcc -O2  -Wall -fPIC -DPIC -I/usr/include/mozjs -DXP_UNIX -Wall -fno-strict-aliasing -Wno-pointer-sign -fPIC -DPIC -fvisibility="hidden" -DGPAC_HAVE_CONFIG_H -I"/build/buildd/gpac-0.5.0~dfsg0" -Wno-deprecated-declarations -I"/build/buildd/gpac-0.5.0~dfsg0/include" -I/usr/include -g -c -o ffmpeg_demux.o ffmpeg_demux.c 
ffmpeg_decode.c: In function 'FFDEC_AttachStream':
ffmpeg_decode.c:172:4: warning: implicit declaration of function 'avcodec_alloc_context' [-Wimplicit-function-declaration]
ffmpeg_decode.c:172:9: warning: assignment makes pointer from integer without a cast [enabled by default]
Function `avcodec_alloc_context' implicitly converted to pointer at ffmpeg_decode.c:172
ffmpeg_decode.c:320:3: warning: implicit declaration of function 'avcodec_open' [-Wimplicit-function-declaration]
ffmpeg_demux.c: In function 'FFD_CanHandleURL':
ffmpeg_demux.c:293:5: warning: implicit declaration of function 'av_find_stream_info' [-Wimplicit-function-declaration]
ffmpeg_demux.c: In function 'FFD_ConnectService':
ffmpeg_demux.c:620:4: warning: implicit declaration of function 'av_open_input_stream' [-Wimplicit-function-declaration]
gcc -O2  -Wall -fPIC -DPIC -I/usr/include/mozjs -DXP_UNIX -Wall -fno-strict-aliasing -Wno-pointer-sign -fPIC -DPIC -fvisibility="hidden" -DGPAC_HAVE_CONFIG_H -I"/build/buildd/gpac-0.5.0~dfsg0" -Wno-deprecated-declarations -I"/build/buildd/gpac-0.5.0~dfsg0/include" -I/usr/include -g -c -o ffmpeg_load.o ffmpeg_load.c 
gcc -shared -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,--warn-common -Wl,-z,defs -g -o ../../bin/gcc/gm_ffmpeg_in.so ffmpeg_decode.o ffmpeg_demux.o ffmpeg_load.o -L../../bin/gcc  -lgpac -lz -L/usr/lib -lavcodec -lavformat -lswscale -lavutil   -lswscale -lm
ffmpeg_decode.o: In function `FFDEC_ProcessData':
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_decode.c:752: undefined reference to `avcodec_open'
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_decode.c:762: undefined reference to `avcodec_open'
ffmpeg_decode.o: In function `FFDEC_AttachStream':
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_decode.c:320: undefined reference to `avcodec_open'
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_decode.c:172: undefined reference to `avcodec_alloc_context'
ffmpeg_demux.o: In function `FFD_CanHandleURL':
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_demux.c:293: undefined reference to `av_find_stream_info'
ffmpeg_demux.o: In function `FFD_ConnectService':
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_demux.c:640: undefined reference to `av_find_stream_info'
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_demux.c:620: undefined reference to `av_open_input_stream'
/build/buildd/gpac-0.5.0~dfsg0/modules/ffmpeg_in/ffmpeg_demux.c:702: undefined reference to `av_find_stream_info'
collect2: error: ld returned 1 exit status
make[3]: *** [gm_ffmpeg_in.so] Error 1


Alessio, can you perhaps update the get-orig-upstream scripts to copy
with post 0.5 svn snapshots? I think upstream has fixed compilation
against newer libavcodec (cf. r3792, r3932, r3989, r3990, etc.). I'd
there suggest to upload a new svn snapshot to experimental now and test
it there.

What do you think?

Reinhard

-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise-proposed'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-32-generic (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#693159; Package gpac. (Fri, 16 Nov 2012 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 16 Nov 2012 11:48:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Reinhard Tartler <siretart@tauware.de>, 693159@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#693159: FTBFS against libav 9
Date: Fri, 16 Nov 2012 11:45:37 +0000
Hallo Reinhard,

On Tue, Nov 13, 2012 at 7:22 PM, Reinhard Tartler <siretart@tauware.de> wrote:
> Alessio, can you perhaps update the get-orig-upstream scripts to copy
> with post 0.5 svn snapshots? I think upstream has fixed compilation
> against newer libavcodec (cf. r3792, r3932, r3989, r3990, etc.). I'd
> there suggest to upload a new svn snapshot to experimental now and test
> it there.
>
> What do you think?

I'm already on it, sorry for the delay.
An updated get-orig-source script will appear in git soon.

Cheers,

--
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#693159; Package gpac. (Fri, 16 Nov 2012 11:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 16 Nov 2012 11:48:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3601143&group_id=84101&atid=571738'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2013 17:12:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2013 17:12:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 30 Jan 2013 15:45:06 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 30 Jan 2013 16:15:10 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 16:15:10 GMT) Full text and rfc822 format available.

Message #26 received at 693159-done@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 693159-done@bugs.debian.org
Subject: Closing: #693159
Date: Wed, 30 Jan 2013 16:12:55 +0000
Version: 0.5.0+svn4288~dfsg1-1

Fixed with gpac 0.5.0+svn4288~dfsg1-1.
Cheers.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Oct 2013 07:34:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:14:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.